<?xml version="1.0" encoding="UTF-8"?>
<!--Created with NTC ESEF v13.6.8.0 by NTC Kft.-->
<xsd:schema targetNamespace="http://www.bif.hu/20241231/" attributeFormDefault="unqualified" elementFormDefault="qualified" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:bif="http://www.bif.hu/20241231/" xmlns:nonnum="http://www.xbrl.org/dtr/type/non-numeric" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2020-01-21">
  <xsd:annotation>
    <xsd:appinfo>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-lab-hu.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-gen-hu.xml" xlink:role="http://www.xbrl.org/2003/role/linkbaseRef" xlink:type="simple"/>	
      <link:linkbaseRef xlink:type="simple" xlink:href="529900MBH2PPLPLX3782-2024-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"/>
      <link:linkbaseRef xlink:type="simple" xlink:href="529900MBH2PPLPLX3782-2024-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"/>
      <link:linkbaseRef xlink:type="simple" xlink:href="529900MBH2PPLPLX3782-2024-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"/>
      <link:linkbaseRef xlink:type="simple" xlink:href="529900MBH2PPLPLX3782-2024-12-31_lab-hu.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"/>
      <link:roleType roleURI="http://www.bif.hu/role/ComprehensiveIncomeStatement" id="ComprehensiveIncomeStatement">
        <link:definition>000020 - Statement - Comprehensive income statement</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.bif.hu/role/ComprehensiveIncomeStatement2" id="ComprehensiveIncomeStatement2">
        <link:definition>000021 - Statement - Comprehensive income statement - 2</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>  
      <link:roleType roleURI="http://www.bif.hu/role/BalanceSheet" id="BalanceSheet">
        <link:definition>000030 - Statement - Balance sheet</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.bif.hu/role/ChangeInEquity" id="ChangeInEquity">
        <link:definition>000040 - Statement - Changes in equity</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.bif.hu/role/CashFlowStatement" id="CashFlowStatement">
        <link:definition>000050 - Statement - Cash flow statement</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.bif.hu/role/Notes" id="Notes">
        <link:definition>000060 - Notes - Notes and Disclosures</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.bif.hu/role/Anchoring" id="Anchoring">
        <link:definition>000080 - Anchoring</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
    </xsd:appinfo>
  </xsd:annotation>
  <xsd:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
  <xsd:import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd"/>
  <xsd:import namespace="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor" schemaLocation="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor.xsd"/>
  <xsd:import namespace="http://www.xbrl.org/dtr/type/non-numeric" schemaLocation="http://www.xbrl.org/dtr/type/nonNumeric-2009-12-16.xsd"/>
  <xsd:import namespace="http://www.xbrl.org/dtr/type/2020-01-21" schemaLocation="https://www.xbrl.org/dtr/type/2020-01-21/types.xsd" />

<xsd:element name="OtherCurrentReceivablesAccruedIncomeAndDeferredExpense" id="bif_OtherCurrentReceivablesAccruedIncomeAndDeferredExpense" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="debit" xbrli:periodType="instant"/>
<xsd:element name="ReclassificationOfProfitLossFromThePreviousYear" id="bif_ReclassificationOfProfitLossFromThePreviousYear" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="credit" xbrli:periodType="duration"/>
<xsd:element name="AdjustmentsOfTheProfitLossBeforeTaxes" id="bif_AdjustmentsOfTheProfitLossBeforeTaxes" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="debit" xbrli:periodType="duration"/>
<xsd:element name="AdjustedProfitLossBeforeTaxes" id="bif_AdjustedProfitLossBeforeTaxes" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="credit" xbrli:periodType="duration"/>
<xsd:element name="AdjustmentsForFairValueGainsLossesOnInventories" id="bif_AdjustmentsForFairValueGainsLossesOnInventories" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="debit" xbrli:periodType="duration"/>
<xsd:element name="AdjustmentsForWriteOffFinancialAssets" id="bif_AdjustmentsForWriteOffFinancialAssets" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="debit" xbrli:periodType="duration"/>
<xsd:element name="AdjustmentsForIncreaseDecreaseInOtherCurrentNonFinancialLiabilities" id="bif_AdjustmentsForIncreaseDecreaseInOtherCurrentNonFinancialLiabilities" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="debit" xbrli:periodType="duration"/>
<xsd:element name="AdjustmentsForIncreaseDecreaseInOtherCurrentFinancialLiabilities" id="bif_AdjustmentsForIncreaseDecreaseInOtherCurrentFinancialLiabilities" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="debit" xbrli:periodType="duration"/>
<xsd:element name="AdjustmentsForNetInterestIncomeExpense" id="bif_AdjustmentsForNetInterestIncomeExpense" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="debit" xbrli:periodType="duration"/>
<xsd:element name="GrantsAllowed" id="bif_GrantsAllowed" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="credit" xbrli:periodType="duration"/>
<xsd:element name="DamagesPaid" id="bif_DamagesPaid" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="credit" xbrli:periodType="duration"/>
<xsd:element name="IncomesOfLeaseLiabilitiesClassifiedAsFinancialActivities" id="bif_IncomesOfLeaseLiabilitiesClassifiedAsFinancialActivities" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="debit" xbrli:periodType="duration"/>
<xsd:element name="IncreaseInLeaseReceivablesClassifiedAsInvestingActivities" id="bif_IncreaseInLeaseReceivablesClassifiedAsInvestingActivities" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="credit" xbrli:periodType="duration"/>
<xsd:element name="DecreaseInLeaseReceivablesClassifiedAsInvestingActivities" id="bif_DecreaseInLeaseReceivablesClassifiedAsInvestingActivities" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="debit" xbrli:periodType="duration"/>
<xsd:element name="EquityAttributableToOwnersOfParentAbstract" id="bif_EquityAttributableToOwnersOfParentAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
<xsd:element name="ProfitLossFromOperatingActivitiesAbstract" id="bif_ProfitLossFromOperatingActivitiesAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
<xsd:element name="ProfitLossBeforeTaxAbstract" id="bif_ProfitLossBeforeTaxAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
<xsd:element name="AdjustedProfitLossBeforeTaxesAbstract" id="bif_AdjustedProfitLossBeforeTaxesAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
<xsd:element name="IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChangesAbstract" id="bif_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChangesAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
<xsd:element name="IncreaseDecreaseInCashAndCashEquivalentsAbstract" id="bif_IncreaseDecreaseInCashAndCashEquivalentsAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/></xsd:schema>